# Third Party Event Ingress This endpoint is the web hook for the third party capture and relay of any and all events relating to hubs and sensors. Endpoint: POST /sensors/ingress ## Request fields (application/json): - `action` (string, required) - `payload` (object, required) Contains the information that is being updated. The payload object can be empty. - `payload.userThingName` (string) When used, the field is always prefixed with USER_. - `payload.unit` (string) Identifies the type of value that is being reported. Can be either % or C. - `payload.humidity` (integer) Provides the humidity level that is being reported by the sensor. - `payload.batteryLevel` (integer) Contains the battery level that is being reported by the sensor. - `reqId` (string) Contains a generated hash for request tracking. - `thingName` (string, required) Sensor or Hub thingName ## Response 201 fields ## Response 400 fields ## Response 403 fields ## Response 404 fields